const Subscription = require("egg").Subscription;

class GetPHOTOMAKER extends Subscription {
  // 通过 schedule 属性来设置定时任务的执行间隔等配置
  static get schedule() {
    return {
      cron: "5 */10 * * * *",
      type: "worker", // 指定一个的 worker 都需要执行
      cronOptions: {
        tz: "Asia/Shanghai"
      }
    };
  }

  // subscribe 是真正定时任务执行时被运行的函数
  async subscribe() {
    this.logger.info('获取PHOTOMAKER信息');
    // try {
    //   await this.service.hospital.getPHOTOMAKER();
    // } catch (error) {
    //   this.logger.error('获取失败', error);
    // }
  }
}

module.exports = GetPHOTOMAKER;